# Generated from idsk_template-1.24.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name idsk_template

Name: rubygem-%{gem_name}
Version: 1.24.8
Release: 1%{?dist}
Summary: Rails engine supplying the ID-SK header/footer template
License: MIT
URL: https://github.com/id-sk/template
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sprockets) >= 2.10.2
# BuildRequires: rubygem(sprockets) < 2.11
# BuildRequires: rubygem(sass) >= 3.2.9
# BuildRequires: rubygem(sass) < 3.3
# BuildRequires: rubygem(idsk_frontend_toolkit) >= 8.4.4
# BuildRequires: rubygem(idsk_frontend_toolkit) < 8.5
# BuildRequires: rubygem(rspec) >= 3.5.0
# BuildRequires: rubygem(rspec) < 3.6
# BuildRequires: rubygem(rspec-html-matchers) >= 0.8.1
# BuildRequires: rubygem(rspec-html-matchers) < 0.9
# BuildRequires: rubygem(mustache) >= 0.99.7
# BuildRequires: rubygem(mustache) < 0.100
# BuildRequires: rubygem(nokogiri) >= 1.6.6.2
# BuildRequires: rubygem(nokogiri) < 1.6.7
# BuildRequires: rubygem(octokit) >= 3.4.2
# BuildRequires: rubygem(octokit) < 3.5
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Rails engine supplying the ID-SK header/footer template.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENCE.txt
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.24.8-1
- Initial package
